Once Pending Effort field is set to empty it cannot be changed any more
2016-11-04 16:35 - Bartosz Firyn

Status: Rejected
Priority: Normal
Category: General

Target version:

Source: Development Blocked: No
Detected on version: Scrum v0.15.0 Alone:

Description

Hi,

The problematic scenario is the following:

Create new issue and leave "Pending Effort" field empty
Save it by clicking on "Create" button
Edit issue and change "Pending Effort" from empty to 20
Save it by clicking on "Submit" button
Observe:
o The "Pending Effort" field was not updated to 20 and it's still empty (not expected).

The only solution for this is to delete such issue and re-create it again.

History

#1 - 2016-11-11 11:35 - Emilio Gonzalez Montana

- Status changed from New to Rejected
I've tested but with current version it's not failing...

#2 - 2016-12-02 17:22 - Bartosz Firyn
- File 1.png added
- File 2.png added
- File 3.png added

Hi Emilio,
This problem exists. Let me clarify in more details what are the steps required.

1. Create task and put it in the next sprint (not backlog and not empty field). This is important. You have to put it in the next sprint since if you
create task in backlog or leave sprint empty, then everything works fine. | was testing on a sprint which start in next 3 days.
2. Provide no Pending Effort field and leave Pending Effort field empty.
3. Save
4. Edit issue and modify Pending Effort (to e.g. 1),
5. Save
6. Observe:
o Pending Effort field is not updated from empty to 1.
o No history modification is present.

#3 - 2016-12-02 17:27 - Bartosz Firyn
- File 4.png added

Just FYI, | testes several combinations and only these where | assign to next sprint are failing.
Subtasks

Add
Task #635: Test 1, no assignee, no sprint Planned Bartosz Firyn
Task #636: Test 2, no assignee, backlog Planned Bartosz Firyn
Task #637: Test 3, no assignee, sprint 49 Planned Bartosz Firyn
Task #638: Test 4, no assignee, sprint 49, attempt 2 Planned Bartosz Firyn
Task #639: Test 5, assign to me, no sprint Planned Bartosz Firyn
Task #640: Test 6, assign to me, backlog Planned Bartosz Firyn
Task #641: Test 7, assign to me, sprint 49 Planned Bartosz Firyn
Task #642: Test 8, assign to me, sprint 49, attempt 2 Planned Bartosz Firyn
#4 - 2016-12-02 17:43 - Bartosz Firyn
| just tested v0.16.1 and | confirm that problem is still present.
